def bfs10322(bfs10323):
  bfs10063 = {}
  for (key, values) in bfs10323.items():
    for value in values:
      if (value not in bfs10063):
        bfs10063[value] = set()

      bfs10063[value].add(key)


  return bfs10063

